package emps.obiektowo;

import java.util.List;

public class P2_WypiszBogatych {

	public static void main(String[] args) {
		// Wypisz tylko tych pracowników, którzy zarabiają co najmniej 10 tys
		// i policz ilu jest jest
		
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		int ilu = 0;
		for(Employee emp : emps) {
			if(emp.getSalary() >= 10_000) {
				System.out.printf("%s %s (%s) - %d\n", emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
				ilu++;
			}
		}
		System.out.printf("\nZnaleziono %d pracowników o pensji >= 10 tys.\n", ilu);
	}

}
